/*********************************************************************************
 * config.h ($Revision: 189 $)
 *
 * Copyright (c) 2006-2008 Marco Zissen <maz@v3v.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *********************************************************************************/

#pragma once
#define _CRT_SECURE_NO_DEPRECATE 1
#define _CRT_NONSTDC_NO_DEPRECATE 1

// --------------------------------------------------------------------------------------------
// functions
// --------------------------------------------------------------------------------------------
char* get_value(char* section, char* key, char* value);
char *get_sep(char *val_in, char *val_out, int size, char split_char);
char* ltrim(char *str);
char* rtrim(char *str);
char* replace(const char *in, char *out, int size, const char* find, const char* replace);
int isnumeric(char *str);
int read_config();
 
