/*********************************************************************************
 * global_objects.h ($Revision: 189 $)
 *
 * Copyright (c) 2006-2008 Marco Zissen <maz@v3v.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *********************************************************************************/
#pragma once
#define _CRT_SECURE_NO_DEPRECATE 1
#define _CRT_NONSTDC_NO_DEPRECATE 1

settings_t         oSET;                               // Application-settings
global_t           oGLB;                               // Global application variables (application lifetime)
connection_t       *oCONS;                             // All connections (CAPI/VOIP/SCRD)
connection_transport_t  **oRTP;                        // Transports
connection_capi_t  oCAPI;                              // Temporary CAPI informations

sh_actions_t       *sh_actions;                        // Shared memory variable (mem or pipe)
sh_actions_t        *sh_actions_shmem;                 // Shared memory (mem/file)
sh_actions_t        sh_actions_pipe;                   // Shared memory (pipe)
