#!/var/tmp/sh
. /var/dtmfbox/script.cfg

MODE="$1"
SRC_ID="$2"
DST_ID="$3"
OWN_ACC_ID="$4"
TRG_ACC_ID="$5"

############################################
# DTMF=* (return to previous menu)
############################################
if [ "$MODE" = "*" ];
then
  # goto to previous menu
  if [ "$DST_ID" != "-1" ]; then
    $DTMFBOX $DST_ID -hook down
    $DTMFBOX $SRC_ID -goto "menu:callthrough_number($TRG_ACC_ID)"
  else
    $DTMFBOX $SRC_ID -goto "menu:callthrough_account"
  fi
fi

############################################
# DTMF!=* (dial number)
############################################
if [ "$MODE" != "*" ];
then
  # reset number?
  RESET_NO=`echo "$MODE" | sed -e 's/.*\*.*/RESET_NO/g'`
  if [ "$RESET_NO" = "RESET_NO" ]; 
  then
    if [ "$DST_ID" != "-1" ]; then $DTMFBOX $DST_ID -hook down; fi
    $DTMFBOX $SRC_ID -speak "Abbruch."
    sleep 1
    $DTMFBOX $SRC_ID -goto "menu:callthrough_number($TRG_ACC_ID)"    
    exit 1
  fi

  # make call!
  NO=`echo "$MODE" | sed -e 's/#//g'`
  if [ "$NO" != "" ];
  then
    if [ "$DST_ID" != "-1" ]; then $DTMFBOX $DST_ID -hook down; fi
    $DTMFBOX $SRC_ID -call "$TRG_ACC_ID" "$NO"
  else
    $DTMFBOX $SRC_ID -speak "Bitte Nummer eingeben."
  fi
fi
