#!/var/tmp/sh

# Load answering machine settings
#  $1= Account-ID
#
load_am_settings() {

	ACC_ID="$1"
		
	AM_ACTIVE="$GLOBAL_AM_ACTIVE"
	AM_PIN="$GLOBAL_AM_PIN"
	AM_MENU="$GLOBAL_AM_MENU"
	AM_BEEP="$GLOBAL_AM_BEEP"
	AM_HOOKUP_TYPE="$GLOBAL_AM_HOOKUP_TYPE"
	AM_RECORD_TYPE="$GLOBAL_AM_RECORD_TYPE"
	AM_ANNOUNCEMENT_START="$GLOBAL_AM_ANNOUNCEMENT_START"
	AM_ANNOUNCEMENT_END="$GLOBAL_AM_ANNOUNCEMENT_END"
	AM_RING_TIME="$GLOBAL_AM_RING_TIME"
	AM_RECORD_TIME="$GLOBAL_AM_RECORD_TIME"
	AM_SCHEDULE_START="$GLOBAL_AM_SCHEDULE_START"
	AM_SCHEDULE_END="$GLOBAL_AM_SCHEDULE_END"
	AM_MAIL="$GLOBAL_AM_MAIL"
	AM_MAIL_TO="$GLOBAL_AM_MAIL_TO"
	AM_MAIL_FROM="$GLOBAL_AM_MAIL_FROM"
	AM_MAIL_SERVER="$GLOBAL_AM_MAIL_SERVER"
	AM_MAIL_USERNAME="$GLOBAL_AM_MAIL_USERNAME"
	AM_MAIL_PASSWORD="$GLOBAL_AM_MAIL_PASSWORD"
	AM_MAIL_DELETE_AFTER_SEND="$GLOBAL_AM_MAIL_DELETE_AFTER_SEND"
	AM_FTP="$GLOBAL_AM_FTP"
	AM_FTP_SERVER="$GLOBAL_AM_FTP_SERVER"
	AM_FTP_PORT="$GLOBAL_AM_FTP_PORT"
	AM_FTP_PATH="$GLOBAL_AM_FTP_PATH"
	AM_FTP_USERNAME="$GLOBAL_AM_FTP_USERNAME"
	AM_FTP_PASSWORD="$GLOBAL_AM_FTP_PASSWORD"
	
	eval ACC_AM_ACTIVE="\$ACC${ACC_ID}_AM_ACTIVE"
	if [ "$ACC_AM_ACTIVE" = "0" ];
	then
	  AM_ACTIVE="0"
	fi

	if [ "$ACC_AM_ACTIVE" = "1" ];
	then
	  AM_ACTIVE="1"
	  eval ACC_AM_PIN="\$ACC${ACC_ID}_AM_PIN"
	  eval ACC_AM_MENU="\$ACC${ACC_ID}_AM_MENU"
	  eval ACC_AM_BEEP="\$ACC${ACC_ID}_AM_BEEP"
	  eval ACC_AM_HOOKUP_TYPE="\$ACC${ACC_ID}_AM_HOOKUP_TYPE"
	  eval ACC_AM_RECORD_TYPE="\$ACC${ACC_ID}_AM_RECORD_TYPE"
	  eval ACC_AM_ANNOUNCEMENT_START="\$ACC${ACC_ID}_AM_ANNOUNCEMENT_START"
	  eval ACC_AM_ANNOUNCEMENT_END="\$ACC${ACC_ID}_AM_ANNOUNCEMENT_END"
	  eval ACC_AM_RING_TIME="\$ACC${ACC_ID}_AM_RING_TIME"
	  eval ACC_AM_RECORD_TIME="\$ACC${ACC_ID}_AM_RECORD_TIME"
	  eval ACC_AM_SCHEDULE_START="\$ACC${ACC_ID}_AM_SCHEDULE_START"
	  eval ACC_AM_SCHEDULE_END="\$ACC${ACC_ID}_AM_SCHEDULE_END"
	  eval ACC_AM_MAIL="\$ACC${ACC_ID}_AM_MAIL"
	  eval ACC_AM_MAIL_TO="\$ACC${ACC_ID}_AM_MAIL_TO"
	  eval ACC_AM_MAIL_FROM="\$ACC${ACC_ID}_AM_MAIL_FROM"
	  eval ACC_AM_MAIL_SERVER="\$ACC${ACC_ID}_AM_MAIL_SERVER"
	  eval ACC_AM_MAIL_USERNAME="\$ACC${ACC_ID}_AM_MAIL_USERNAME"
	  eval ACC_AM_MAIL_PASSWORD="\$ACC${ACC_ID}_AM_MAIL_PASSWORD"
	  eval ACC_AM_MAIL_DELETE_AFTER_SEND="\$ACC${ACC_ID}_AM_MAIL_DELETE_AFTER_SEND"
	  eval ACC_AM_FTP="\$ACC${ACC_ID}_AM_FTP"
	  eval ACC_AM_FTP_SERVER="\$ACC${ACC_ID}_AM_FTP_SERVER"
	  eval ACC_AM_FTP_PORT="\$ACC${ACC_ID}_AM_FTP_PORT"
	  eval ACC_AM_FTP_PATH="\$ACC${ACC_ID}_AM_FTP_PATH"
	  eval ACC_AM_FTP_USERNAME="\$ACC${ACC_ID}_AM_FTP_USERNAME"
	  eval ACC_AM_FTP_PASSWORD="\$ACC${ACC_ID}_AM_FTP_PASSWORD"
	  if [ "$ACC_AM_PIN" != "" ]; then AM_PIN="$ACC_AM_PIN"; fi
	  if [ "$ACC_AM_MENU" != "" ]; then AM_MENU="$ACC_AM_MENU"; fi
	  if [ "$ACC_AM_BEEP" != "" ]; then AM_BEEP="$ACC_AM_BEEP"; fi
	  if [ "$ACC_AM_HOOKUP_TYPE" != "" ]; then AM_HOOKUP_TYPE="$ACC_AM_HOOKUP_TYPE"; fi
	  if [ "$ACC_AM_RECORD_TYPE" != "" ]; then AM_RECORD_TYPE="$ACC_AM_RECORD_TYPE"; fi
	  if [ "$ACC_AM_ANNOUNCEMENT_START" != "" ]; then AM_ANNOUNCEMENT_START="$ACC_AM_ANNOUNCEMENT_START"; fi
	  if [ "$ACC_AM_ANNOUNCEMENT_END" != "" ]; then AM_ANNOUNCEMENT_END"$ACC_AM_ANNOUNCEMENT_END"; fi
	  if [ "$ACC_AM_RING_TIME" != "" ]; then AM_RING_TIME="$ACC_AM_RING_TIME"; fi
	  if [ "$ACC_AM_RECORD_TIME" != "" ]; then AM_RECORD_TIME="$ACC_AM_RECORD_TIME"; fi
	  if [ "$ACC_AM_SCHEDULE_START" != "" ]; then AM_SCHEDULE_START="$ACC_AM_SCHEDULE_START"; fi
	  if [ "$ACC_AM_SCHEDULE_END" != "" ]; then AM_SCHEDULE_END="$ACC_AM_SCHEDULE_END"; fi
	  if [ "$ACC_AM_MAIL" != "" ]; then AM_MAIL="$ACC_AM_MAIL"; fi
	  if [ "$ACC_AM_MAIL_FROM" != "" ]; then AM_MAIL_FROM="$ACC_AM_MAIL_FROM"; fi
	  if [ "$ACC_AM_MAIL_TO" != "" ]; then AM_MAIL_TO="$ACC_AM_MAIL_TO"; fi
	  if [ "$ACC_AM_MAIL_SERVER" != "" ]; then AM_MAIL_SERVER="$ACC_AM_MAIL_SERVER"; fi
	  if [ "$ACC_AM_MAIL_USERNAME" != "" ]; then AM_MAIL_USERNAME="$ACC_AM_MAIL_USERNAME"; fi
	  if [ "$ACC_AM_MAIL_PASSWORD" != "" ]; then AM_MAIL_PASSWORD="$ACC_AM_MAIL_PASSWORD"; fi
	  if [ "$ACC_AM_MAIL_DELETE_AFTER_SEND" != "" ]; then AM_MAIL_DELETE_AFTER_SEND="$ACC_AM_MAIL_DELETE_AFTER_SEND"; fi
	  if [ "$ACC_AM_FTP" != "" ]; then AM_FTP="$ACC_AM_FTP"; fi
	  if [ "$ACC_AM_FTP_SERVER" != "" ]; then AM_FTP_SERVER="$ACC_AM_FTP_SERVER"; fi
	  if [ "$ACC_AM_FTP_PORT" != "" ]; then AM_FTP_PORT="$ACC_AM_FTP_PORT"; fi
	  if [ "$ACC_AM_FTP_PATH" != "" ]; then AM_FTP_PATH="$ACC_AM_FTP_PATH"; fi
	  if [ "$ACC_AM_FTP_USERNAME" != "" ]; then AM_FTP_USERNAME="$ACC_AM_FTP_USERNAME"; fi
	  if [ "$ACC_AM_FTP_PASSWORD" != "" ]; then AM_FTP_PASSWORD="$ACC_AM_FTP_PASSWORD"; fi
	fi
}

# Get a value from a [section] and key= (*.cfg file)
#  $1=file.cfg
#  $2=Section (without [])
#  $3=Key (key=)
#
#  returns: $CFG_VALUE
#
get_cfg_value() {

  FILE="$1"
  SECTION="$2"
  KEY="$3"
  CFG_VALUE=""

  let cnt=1
  let in_section=0

  if [ -z "$SECTION" ]; then 
	COMMENTARY="#.*"
	SLINE_NUM=`cat "$FILE" | sed 's/$COMMENTARY//g' | grep -n "$KEY=" | sed 's/\(.*\):.*/\1/g'`
	if [ -z "$SLINE_NUM" ]; then return; fi
        let LINE_NUM=$SLINE_NUM
	let in_section=2; 
  else
	COMMENTARY="\/\/.*"
	SLINE_NUM=`cat "$FILE" | sed 's/$COMMENTARY//g' | grep -n "\[$SECTION\]" | sed 's/\(.*\):.*/\1/g'`
	if [ -z "$SLINE_NUM" ]; then return; fi
        let LINE_NUM=$SLINE_NUM
  fi

  while read line; 
  do
	if [ "$cnt" = "$LINE_NUM" ];
	then	
		# check, if we are leave section --> return
		if [ $in_section -eq 1 ]; then
			if [ ! -z "`echo $line | grep \"\[\"`" ]; then
				check_out_section=`echo $line | sed 's/$COMMENTARY//g' | sed -r "s/\[.*\]/OK/g"`
				if [ "$check_out_section" = "OK" ]; then return; fi
			fi
		fi
	
		# check, if we enter the section
		if [ $in_section -eq 0 ]; then
			if [ "$line" = "[$SECTION]" ]; then let in_section=1; fi
		else
			if [ ! -z "`echo $line | grep \"$KEY=\"`" ];
			then 	
				CFG_VALUE="`echo "$line" | sed -e "s/$COMMENTARY//g" -e \"s/$KEY\=\(.*\)/\1/g\"`"; 
				return 0;
			fi
		fi
	else
		let cnt=cnt+1
	fi	
  done < "$FILE"
}

# Set a value in a *.cfg file
#  $1=file.cfg
#  $2=Section (without [])
#  $3=Key (key=)
#  $4=Value (=Value)
#
set_cfg_value() {

  FILE="$1"
  SECTION="$2"
  KEY="$3"
  VALUE="$4"

  let in_section=0
  let replaced=0

  if [ -z "$SECTION" ]; then 
	let in_section=1
	COMMENTARY="#.*"
  else
	COMMENTARY="\/\/.*"	
  fi

  while read line;
  do
	if [ $replaced -eq 0 ];
	then
		# check, if we are leave section --> return
		if [ $in_section -eq 1 ]; then
			check_out_section=`echo "$line" | sed -r "s/\[.*\]/OK/g"`
			if [ "$check_out_section" = "OK" ]; then let in_section=2; fi
		fi
	
		# check, if we enter the section
		if [ $in_section -eq 0 ]; then
			if [ "$line" = "[$SECTION]" ]; then let in_section=1; fi
		fi
	
		if [ $in_section -eq 1 ]; then
			CFG_VALUE=`echo "$line" | grep -E "^$KEY="`; 		
			if [ ! -z "$CFG_VALUE" ]; then 
				COMMENT=`echo "$line" | sed "s/.*\($COMMENTARY\)/\1/g"`
				if [ "$COMMENT" = "$line" ]; then COMMENT=""; fi

				echo "$KEY=$VALUE $COMMENT"
				let replaced=1
			fi
		fi
	fi

	if [ $replaced -eq 0 ] || [ $replaced -eq 2 ]; then 
		echo "$line"; 
	else
		let replaced=2
	fi

  done < "$FILE" > "$FILE.new"

  if [ -f "$FILE.new" ]; then
	rm "$FILE"
	mv "$FILE.new" "$FILE"
  fi
}
